Get Task detail information
1 min
GET
https://dev1.frontu.com//client/api/v2/tasks/details
Query Parameters
- guidstringrequiredDescription
- systemIdstringDescription
- codestringDescription
- billStatusstringDescription
- statusstringDescription
- receivedByExternalSystemstringDescription
- isChildbooleanDescription
- hasChildrenbooleanDescription
- pastDuebooleanDescription
Header Parameters
- acceptstringDescriptionDefaultapplication/jsonAllowedapplication/jsonExampleExample with custom values
Responses
200
- object
- systemIdstringMin Length1
- codestringMin Length1
- titlestringMin Length1
- clientNamestringMin Length1
- clientEmailstringMin Length1
- ratingnumber
- agreementboolean
- signatureTypestringMin Length1
- signatureFilestringMin Length1
- descriptionstringMin Length1
- abortMessagestringMin Length1
- clientNotestringMin Length1
- clientNoteReplystringMin Length1
- distancenumber
- workPricenumber
- workPriceWithVatnumber
- routePricenumber
- routePriceWithVatnumber
- materialPricenumber
- materialPriceWithVatnumber
- finalPricenumber
- finalPriceWithVatnumber
- vatnumber
- currencystringMin Length1
- statusnumber
- stopStatusMessagestringMin Length1
- plannedTimestringMin Length1
- plannedEndTimestringMin Length1
- fixedPlannedTimeboolean
- fetchedboolean
- timestringMin Length1
- endedstringMin Length1
- pastDueboolean
- durationnumber
- durationFullnumber
- billDatestringMin Length1
- billStatusboolean
- reassignedboolean
- filesExistsboolean
- officeobject
- titlestringMin Length1
- guidstringMin Length1
- systemIdstringMin Length1
- addressstringMin Length1
- userobject
- titlestringMin Length1
- guidstringMin Length1
- systemIdstringMin Length1
- formerUserobject
- titlestringMin Length1
- guidstringMin Length1
- systemIdstringMin Length1
- assignorobject
- titlestringMin Length1
- guidstringMin Length1
- systemIdstringMin Length1
- taskTypeobject
- titlestringMin Length1
- guidstringMin Length1
- systemIdstringMin Length1
- workspaceobject
- titlestringMin Length1
- serialNumberstringMin Length1
- guidstringMin Length1
- systemIdstringMin Length1
- clientobject
- titlestringMin Length1
- companyCodestringMin Length1
- guidstringMin Length1
- systemIdstringMin Length1
- createdByobject
- titlestringMin Length1
- guidstringMin Length1
- systemIdstringMin Length1
- taskRequeststringMin Length1
- requireObjectCodeboolean
- requireSignatureCodeboolean
- taskTypePrioritynumber
- guidstringMin Length1
- createdstringMin Length1
- updatedstringMin Length1
- versionnumber
- deletedboolean
- receivedByExternalSystemboolean
- approvedByobject
- titlestringMin Length1
- guidstringMin Length1
- systemIdstringMin Length1
- customValuesobject[]
- guidstringMin Length1
- guid2stringMin Length1
- slaobjectDescription
- guidstring
- systemIdstring
- titlestring
- durationintegerDescription
- helpersobject[]
- titlestringMin Length1
- guidstringMin Length1
- systemIdstringMin Length1
- tagsobject[]
400
- objectExample
{ "error": "At least one recognised filter parameter (e.g. guid or systemId) is required." }- errorstring
404
curl
curl --request GET \
--url 'https://dev1.frontu.com//client/api/v2/tasks/details?guid=string' \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://dev1.frontu.com//client/api/v2/tasks/details?guid=string", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://dev1.frontu.com//client/api/v2/tasks/details?guid=string")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://dev1.frontu.com//client/api/v2/tasks/details?guid=string"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Returned when successful
{
"systemId": "",
"code": "",
"title": "",
"clientName": "",
"clientEmail": "",
"rating": 0,
"agreement": false,
"signatureType": "",
"signatureFile": "",
"description": "",
"abortMessage": "",
"clientNote": "",
"clientNoteReply": "",
"distance": 0,
"workPrice": 0,
"workPriceWithVat": 0,
"routePrice": 0,
"routePriceWithVat": 0,
"materialPrice": 0,
"materialPriceWithVat": 0,
"finalPrice": 0,
"finalPriceWithVat": 0,
"vat": 0,
"currency": "",
"status": 0,
"stopStatusMessage": "",
"plannedTime": "",
"plannedEndTime": "",
"fixedPlannedTime": false,
"fetched": false,
"time": "",
"ended": "",
"pastDue": false,
"duration": 0,
"durationFull": 0,
"billDate": "",
"billStatus": false,
"reassigned": false,
"filesExists": false,
"office": {
"title": "",
"guid": "",
"systemId": "",
"address": ""
},
"user": {
"title": "",
"guid": "",
"systemId": ""
},
"formerUser": {
"title": "",
"guid": "",
"systemId": ""
},
"assignor": {
"title": "",
"guid": "",
"systemId": ""
},
"taskType": {
"title": "",
"guid": "",
"systemId": ""
},
"workspace": {
"title": "",
"serialNumber": "",
"guid": "",
"systemId": ""
},
"client": {
"title": "",
"companyCode": "",
"guid": "",
"systemId": ""
},
"createdBy": {
"title": "",
"guid": "",
"systemId": ""
},
"taskRequest": "",
"requireObjectCode": false,
"requireSignatureCode": false,
"taskTypePriority": 0,
"guid": "",
"created": "",
"updated": "",
"version": 0,
"deleted": false,
"receivedByExternalSystem": false,
"approvedBy": {
"title": "",
"guid": "",
"systemId": ""
},
"customValues": [
{
"guid": "",
"guid2": ""
}
],
"sla": {
"guid": "",
"systemId": "",
"title": "",
"duration": 0
},
"helpers": [
{
"title": "",
"guid": "",
"systemId": ""
}
],
"tags": [
{}
]
}400
// Returned when the request contains no recognised filter parameter (e.g. guid or systemId), or when more than one entity matches.
{
"error": ""
}404
// Entity not found